Bug 1563633 - RFE - Systemctl is-enabled command showing status of rpcbind as indirect instead of enabled/disabled
Summary: RFE - Systemctl is-enabled command showing status of rpcbind as indirect inst...
Keywords:
Status: CLOSED DUPLICATE of bug 1425663
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 11:21 UTC by Yogita
Modified: 2019-10-24 06:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-24 06:32:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yogita 2018-04-04 11:21:04 UTC
Description of problem:
Systemctl is-enabled command showing status of rpcbind as indirect instead of enabled/disabled

Version-Release number of selected component (if applicable):

# rpm -qa | grep rpcbind
rpcbind-0.2.0-42.el7.x86_64

# rpm -qa | grep systemd
systemd-219-42.el7.x86_64
systemd-sysv-219-42.el7.x86_64
systemd-libs-219-42.el7.x86_64
systemd-python-219-42.el7.x86_64

How reproducible:

Steps to Reproduce:
# systemctl status rpcbind
● rpcbind.service - RPC bind service
   Loaded: loaded (/usr/lib/systemd/system/rpcbind.service; indirect; vendor preset: enabled)
   Active: inactive (dead)
# systemctl enable rpcbind
# systemctl is-enabled rpcbind
indirect                     <--- indirect was not expected here, ideally should be enabled/disabled

# systemctl status rpcbind
● rpcbind.service - RPC bind service
   Loaded: loaded (/usr/lib/systemd/system/rpcbind.service; indirect; vendor preset: enabled)
   Active: inactive (dead)


Actual results:
# systemctl is-enabled rpcbind
indirect                     <--- indirect was not expected here, ideally should be enabled/disabled

Expected results:
# systemctl is-enabled rpcbind
enabled


Additional info:
From automation point of view (using tools like puppet,ansible,chef), customer requires that the indirect output should something that should be more precise.

Comment 5 Yongcheng Yang 2018-05-15 02:21:21 UTC
(In reply to Yogita from comment #0)
Hi Yogita,

Looks to me like this issue has been resolved in rpcbind-0.2.0-43.el7
(via Bug 1425663).  If so, maybe we can duplicate this to bz1425663
(change back to rpcbind).  Apologies didn't remember it before.

Please help to have another test with the latest rpcbind package.

> Description of problem:
> Systemctl is-enabled command showing status of rpcbind as indirect instead
> of enabled/disabled
> 
> Version-Release number of selected component (if applicable):
> 
> # rpm -qa | grep rpcbind
> rpcbind-0.2.0-42.el7.x86_64
> 

[root@~]# rpm -q rpcbind
rpcbind-0.2.0-42.el7.x86_64
[root@~]# systemctl restart rpcbind
[root@~]# systemctl disable rpcbind && systemctl is-enabled rpcbind
Removed symlink /etc/systemd/system/sockets.target.wants/rpcbind.socket.
indirect
^^^^^^^^
[root@~]# systemctl enable rpcbind && systemctl is-enabled rpcbind
Created symlink from /etc/systemd/system/sockets.target.wants/rpcbind.socket to /usr/lib/systemd/system/rpcbind.socket.
indirect
^^^^^^^^
[root@~]# 
[root@~]# rpm -Uvh rpcbind-0.2.0-43.el7.x86_64.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:rpcbind-0.2.0-43.el7             ################################# [ 50%]
Cleaning up / removing...
   2:rpcbind-0.2.0-42.el7             ################################# [100%]
[root@~]# rpm -q rpcbind
rpcbind-0.2.0-43.el7.x86_64
[root@~]# systemctl restart rpcbind
[root@~]# systemctl disable rpcbind && systemctl is-enabled rpcbind
disabled
^^^^^^^^
[root@~]# systemctl enable rpcbind && systemctl is-enabled rpcbind
Created symlink from /etc/systemd/system/multi-user.target.wants/rpcbind.service to /usr/lib/systemd/system/rpcbind.service.
enabled
^^^^^^^^
[root@~]#

Comment 6 Yogita 2019-10-24 06:32:33 UTC
Hi Yongcheng,

Apologise for late response. I have informed this to the customer, but the customer have not shared any update on this.

I tired this on my test server and it was working as expected. Thanks alot, I'm closing this bugzilla case as there no further action needed.

*** This bug has been marked as a duplicate of bug 1425663 ***


Note You need to log in before you can comment on or make changes to this bug.